h2 {
    font-size: 1.2rem;
    width: auto;
    display: table;
    background-image: linear-gradient(rgba(var(--primary_colour_dark), 1), rgba(var(--primary_colour), 1));
    color: rgba(var(--navbar_colour), 1);
    padding: 0.1rem 2.5rem;
    margin-bottom: 20px;
    border-radius: 60px 20px 60px 20px;
    box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.4);
}

.block_1 {
    grid-area: block_1;
    color: rgba(var(--primary_colour_mid), 1);
    margin: 2rem 0 1rem 0;
}

.block_2 {
    grid-area: block_2;
    color: rgba(var(--primary_colour_mid), 1);
    margin: 1rem 0 1rem 0;
}

.block_3 {
    grid-area: block_3;
    color: rgba(var(--primary_colour_mid), 1);
    margin: 1rem 0 1rem 0;
}

.block_4 {
    grid-area: block_4;
    color: rgba(var(--primary_colour_mid), 1);
    font-size: 0.7rem;
    font-weight: normal;
    font-style: italic;
    margin: 1rem 0 1rem 0;
}

.block_5 {
    grid-area: block_5;
    color: rgba(var(--primary_colour_mid), 1);
    border-top: 1px solid rgba(var(--primary_colour_mid), 1);
    margin: 1rem 0 1rem 0;
    width: 60%;
}

.block_6 {
    grid-area: block_6;
    color: rgba(var(--primary_colour_mid), 1);
    margin: 1rem 0 1rem 0;
}


.forgotten_style{
    padding: 0 0 0 1rem;
}

.processing{
    height: 1.5rem;
}

#forgotten_message, #new_password_message{
    display: none;
    background-color: rgba(var(--forgotten_warning), 1);
    color: rgba(var(--forgotten_warning_dark), 1);
    border: 1px solid rgba(var(--forgotten_warning_dark), 1);
    border-radius: 1rem;
    padding: 0.5rem;
    margin: 0.5rem 0;
    width: auto;
    font-weight: normal;
    text-align: center;
    transition: all 0.2s ease 0.2s;
}

.password_criteria{
    font-size: 0.9rem;
}

.reset_psw_input_fields {
    height: 100%;
    padding: 0;
    margin: 0;
    display: flex;
}

.no_verification_link{
    background-color: rgba(var(--forgotten_warning), 1);
    color: rgba(var(--forgotten_warning_dark), 1);
    border: 1px solid rgba(var(--forgotten_warning_dark), 1);
    border-radius: 1rem;
    padding: 0.5rem;
    margin: 1rem 1rem;
}

.row {
    width: auto;
    padding: 1rem;
    border-radius: 1rem;
    border: 1px solid rgba(var(--primary_colour_mid), 1);;
}

input[type=text]:focus, input[type=password]:focus {
    border: 1px solid rgba(var(--primary_colour), 1) !important;
}

/* Set a style for SUBMIT buttons */
#forgotten_submit_button, #new_password_submit_button{
    background-color: rgba(var(--primary_colour), 1);
    color: rgba(var(--secondary_colour), 1);
    border-radius: 1rem;
    padding: 0.5rem 0;
    margin: 2rem 0;
    border: none;
    width: 15rem;
    cursor:  pointer;
    font-weight: bold;
    text-align: center;
    text-transform: uppercase;
    transition: all 0.2s ease 0.2s;
}

.initial_display{
    display: none;
}

#forgotten_submit_button:hover, #new_password_submit_button:hover {
    background-color: rgba(var(--primary_colour_dark), 1);
    color: rgba(var(--secondary_colour_dark), 1);
    transition: all 0.2s ease 0.2s;
}

#new_psw, #repeat_new_psw {
    background: rgba(var(--primary_colour_light), 1);
    margin-right: 24px;
    padding: 8px 0 6px 10px;
}

.new_psw_input_area {
    font-size: 12px;
    font-style: italic;
    font-weight: normal;
    color: rgba(var(--primary_colour), 1);
    cursor: pointer;
}

.show_password_row{
    margin: 1rem 0 0 3rem;
}

/* Changing the TEXT BOX background colour from the default light-blue to it's original colour before it got the focus */
/*input:-webkit-autofill,*/
/*input:-webkit-autofill:active {*/
/*    transition: background-color 5000s ease-in-out 0s;*/
/*    -webkit-text-fill-color: forestgreen;*/
/*}*/

.forgotten {
    margin-top: 1rem;
    padding: 0 1rem 1rem 0;
}

.forgotten a{
    color: rgba(var(--primary_colour), 1);
    font-size: 1rem;
    font-style: italic;
    font-weight: normal;
}

.forgotten a:hover{
    color: rgba(var(--secondary_colour_dark), 1);
}

.forgotten_input{
    background: rgba(var(--primary_colour_light), 1);
    color: rgba(var(--primary_colour), 1);
    margin-top: 1rem;
    height: 2rem;
    padding-left: 1rem;
    border: 1px solid rgba(var(--primary_colour), 1);
    border-radius: 1rem;
}

/*.description{*/
/*    color: rgba(var(--primary_colour), 1);*/
/*    font-size: 0.7rem;*/
/*    font-weight: bold;*/
/*    font-style: italic;*/
/*}*/
